osmium::io_error Struct Reference

`#include <error.hpp>`

Inheritance diagram for osmium::io_error:
[legend]
Collaboration diagram for osmium::io_error:
[legend]

## Public Member Functions

| io_error (const std::string &what)
| io_error (const char *what)

## Detailed Description

Exception thrown when some kind of input/output operation failed.

## Constructor & Destructor Documentation

osmium::io_error::io_error | ( | const std::string & | what | ) |

inline explicit

osmium::io_error::io_error | ( | const char * | what | ) |

inline explicit

The documentation for this struct was generated from the following file:

- osmium/io/error.hpp